Skip to main content
POST
Upsert offers group

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The group of offers to create or update

groupId
string
required

Unique ID for the group

Required string length: 1 - 100
campaignIds
string[]
required

List of all campaign IDs available in the group. All campaign dates should intersect, but not necessarily overlap group dates. All campaigns should have the same type, and should be published

validFrom
string<date-time>
required

Date from which tickets within the group can be turned into a coupon.

validTo
string<date-time>
required

Date from which tickets within the group can no longer be turned into a coupon.

minimumActiveCampaignsRequired
integer<int32> | null

Amount of campaigns that should be active to allow assigning tickets to group. Constraint is resolved when assigning tickets to group.

For example:

  1. If group has MinimumActiveCampaignsRequired = 2, but has only 1 campaign, it will not be possible to assign tickets to the group.

  2. If group has MinimumActiveCampaignsRequired = 2, has 2 campaigns, one of which is already expired, it will not be possible to assign tickets to the group.

  3. If group has MinimumActiveCampaignsRequired = 2, has 2 campaigns, one of which is out of coupons, it will not be possible to assign tickets to the group.

Response

OK

groupId
string
required

Unique ID for the group

Required string length: 1 - 100
type
string
required

Customer specific campaign type. Determines how or by which service campaign will be used. Types used so far: game, appCoupon, gift, preferredStore, memberOffer, stampCard, stickersCampaign. All campaigns within the group have the same type

Required string length: 1 - 255
campaigns
object[]
required

All campaigns that are assigned to the group. Includes campaigns that have no coupons left or already expired.

minimumActiveCampaignsRequired
integer<int32>

Amount of campaigns that should be active to allow assigning tickets to group. Constraint is resolved when assigning tickets to group.

For example:

  1. If group has MinimumActiveCampaignsRequired = 2, but has only 1 campaign, it will not be possible to assign tickets to the group.

  2. If group has MinimumActiveCampaignsRequired = 2, has 2 campaigns, one of which is already expired, it will not be possible to assign tickets to the group.

  3. If group has MinimumActiveCampaignsRequired = 2, has 2 campaigns, one of which is out of coupons, it will not be possible to assign tickets to the group.

validFrom
string<date-time>

Date from which tickets within the group can be turned into a coupon.

validTo
string<date-time>

Date from which tickets within the group can no longer be turned into a coupon.

assignedTickets
integer<int32>

Amount of tickets reserved or assigned in the group, that are not yet turned into coupons.

Last modified on August 10, 2026